Update a template listing
curl --request PATCH \
--url https://api.framelane.io/v1/templates/{listing_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"priority": 123,
"premium": true,
"preview_url": "<string>",
"family": "<string>"
}
'import requests
url = "https://api.framelane.io/v1/templates/{listing_id}"
payload = {
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": ["<string>"],
"priority": 123,
"premium": True,
"preview_url": "<string>",
"family": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
title: '<string>',
description: '<string>',
category: '<string>',
tags: ['<string>'],
priority: 123,
premium: true,
preview_url: '<string>',
family: '<string>'
})
};
fetch('https://api.framelane.io/v1/templates/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framelane.io/v1/templates/{listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slug' => '<string>',
'title' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
'<string>'
],
'priority' => 123,
'premium' => true,
'preview_url' => '<string>',
'family' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framelane.io/v1/templates/{listing_id}"
payload := strings.NewReader("{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.framelane.io/v1/templates/{listing_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framelane.io/v1/templates/{listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"priority": 123,
"premium": true,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"preview_url": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"family": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Templates
Update a template listing
Admin workspaces only. Send only the fields that change; null clears an optional one. A listing that ends up published is checked like a new one.
PATCH
/
v1
/
templates
/
{listing_id}
Update a template listing
curl --request PATCH \
--url https://api.framelane.io/v1/templates/{listing_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"priority": 123,
"premium": true,
"preview_url": "<string>",
"family": "<string>"
}
'import requests
url = "https://api.framelane.io/v1/templates/{listing_id}"
payload = {
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": ["<string>"],
"priority": 123,
"premium": True,
"preview_url": "<string>",
"family": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
title: '<string>',
description: '<string>',
category: '<string>',
tags: ['<string>'],
priority: 123,
premium: true,
preview_url: '<string>',
family: '<string>'
})
};
fetch('https://api.framelane.io/v1/templates/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framelane.io/v1/templates/{listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slug' => '<string>',
'title' => '<string>',
'description' => '<string>',
'category' => '<string>',
'tags' => [
'<string>'
],
'priority' => 123,
'premium' => true,
'preview_url' => '<string>',
'family' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framelane.io/v1/templates/{listing_id}"
payload := strings.NewReader("{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.framelane.io/v1/templates/{listing_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framelane.io/v1/templates/{listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"priority\": 123,\n \"premium\": true,\n \"preview_url\": \"<string>\",\n \"family\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"project_id": "<string>",
"slug": "<string>",
"title": "<string>",
"priority": 123,
"premium": true,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"preview_url": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"family": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Send only the fields that change; null clears an optional field.
Maximum string length:
80Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Required string length:
1 - 255Maximum string length:
64Available options:
draft, published Required string length:
1 - 2083Maximum string length:
64Response
Successful Response
A gallery listing as stored.
Listing id.
The listed template project.
Available options:
draft, published 
